# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 0.3.0 (2024-06-04)


### Bug Fixes

* **accessibility:** CR-4249 instantearch accessibility fixes ([#5884](https://github.com/algolia/instantsearch/issues/5884)) ([bed187b](https://github.com/algolia/instantsearch/commit/bed187be5ce0f9c8b4b3b41994e1226f56ba598a))
* **prettier:** consistent version ([#5850](https://github.com/algolia/instantsearch/issues/5850)) ([ca59c6d](https://github.com/algolia/instantsearch/commit/ca59c6dbd5c9eac4e2e0179a24e39bca997ae141))
* **searchbox:** add aria-hidden to svg icons ([#5547](https://github.com/algolia/instantsearch/issues/5547)) ([50344e3](https://github.com/algolia/instantsearch/commit/50344e3b14c22c886415c0e7d799aca778dc39ab)), closes [#5546](https://github.com/algolia/instantsearch/issues/5546)
* **svg:** don't style width/height in attributes with unit ([#5550](https://github.com/algolia/instantsearch/issues/5550)) ([31b85a6](https://github.com/algolia/instantsearch/commit/31b85a6ad56993455adb201f88ab1d1ae2d96683))


### Features

* **recommend:** introduce `TrendingItems` UI component ([#6167](https://github.com/algolia/instantsearch/issues/6167)) ([a9f6535](https://github.com/algolia/instantsearch/commit/a9f65358ce585e01b282e381f4998ad32f942a41))
* **recommend:** set up base CSS styles for `frequentlyBoughtTogether` widget ([#6118](https://github.com/algolia/instantsearch/issues/6118)) ([1f67ba2](https://github.com/algolia/instantsearch/commit/1f67ba2d83c736d7f9ad13e48a3a3a3e1a508faf))
* **recommend:** set up base CSS styles for `lookingSimilar` widget ([#6210](https://github.com/algolia/instantsearch/issues/6210)) ([d904797](https://github.com/algolia/instantsearch/commit/d9047978b027227b9fb7f47aae3a4a3995f6f9e5))
* **recommend:** set up base CSS styles for `relatedProducts` widget ([#6148](https://github.com/algolia/instantsearch/issues/6148)) ([75a4b49](https://github.com/algolia/instantsearch/commit/75a4b495c411dc6f0d592b6d1c89656214c83028))





# 0.2.0 (2024-05-21)


### Features

* **recommend:** introduce `TrendingItems` UI component ([#6167](https://github.com/algolia/instantsearch/issues/6167)) ([a9f6535](https://github.com/algolia/instantsearch/commit/a9f65358ce585e01b282e381f4998ad32f942a41))
* **recommend:** set up base CSS styles for `frequentlyBoughtTogether` widget ([#6118](https://github.com/algolia/instantsearch/issues/6118)) ([1f67ba2](https://github.com/algolia/instantsearch/commit/1f67ba2d83c736d7f9ad13e48a3a3a3e1a508faf))
* **recommend:** set up base CSS styles for `relatedProducts` widget ([#6148](https://github.com/algolia/instantsearch/issues/6148)) ([75a4b49](https://github.com/algolia/instantsearch/commit/75a4b495c411dc6f0d592b6d1c89656214c83028))
* **recommend**: set up base CSS styles for `lookingSimilar` widget ([#6210](https://github.com/algolia/instantsearch/issues/6210)) ([d904797](https://github.com/algolia/instantsearch/commit/d9047978b027227b9fb7f47aae3a4a3995f6f9e5))





## 0.1.5 (2023-10-24)


### Bug Fixes

* **accessibility:** CR-4249 instantearch accessibility fixes ([#5884](https://github.com/algolia/instantsearch/issues/5884)) ([bed187b](https://github.com/algolia/instantsearch/commit/bed187be5ce0f9c8b4b3b41994e1226f56ba598a))
* **prettier:** consistent version ([#5850](https://github.com/algolia/instantsearch/issues/5850)) ([ca59c6d](https://github.com/algolia/instantsearch/commit/ca59c6dbd5c9eac4e2e0179a24e39bca997ae141))
* **searchbox:** add aria-hidden to svg icons ([#5547](https://github.com/algolia/instantsearch/issues/5547)) ([50344e3](https://github.com/algolia/instantsearch/commit/50344e3b14c22c886415c0e7d799aca778dc39ab)), closes [#5546](https://github.com/algolia/instantsearch/issues/5546)
* **svg:** don't style width/height in attributes with unit ([#5550](https://github.com/algolia/instantsearch/issues/5550)) ([31b85a6](https://github.com/algolia/instantsearch/commit/31b85a6ad56993455adb201f88ab1d1ae2d96683))





## 0.1.4 (2023-09-19)


### Bug Fixes

* **prettier:** consistent version ([#5850](https://github.com/algolia/instantsearch/issues/5850)) ([ca59c6d](https://github.com/algolia/instantsearch/commit/ca59c6dbd5c9eac4e2e0179a24e39bca997ae141))
* **searchbox:** add aria-hidden to svg icons ([#5547](https://github.com/algolia/instantsearch/issues/5547)) ([50344e3](https://github.com/algolia/instantsearch/commit/50344e3b14c22c886415c0e7d799aca778dc39ab)), closes [#5546](https://github.com/algolia/instantsearch/issues/5546)
* **svg:** don't style width/height in attributes with unit ([#5550](https://github.com/algolia/instantsearch/issues/5550)) ([31b85a6](https://github.com/algolia/instantsearch/commit/31b85a6ad56993455adb201f88ab1d1ae2d96683))





## 0.1.3 (2023-08-07)

### Bug Fixes

- **searchbox:** add aria-hidden to svg icons ([#5547](https://github.com/algolia/instantsearch/issues/5547)) ([50344e3](https://github.com/algolia/instantsearch/commit/50344e3b14c22c886415c0e7d799aca778dc39ab)), closes [#5546](https://github.com/algolia/instantsearch/issues/5546)
- **svg:** don't style width/height in attributes with unit ([#5550](https://github.com/algolia/instantsearch/issues/5550)) ([31b85a6](https://github.com/algolia/instantsearch/commit/31b85a6ad56993455adb201f88ab1d1ae2d96683))

## 0.1.2 (2023-03-21)

### Bug Fixes

- **searchbox:** add aria-hidden to svg icons ([#5547](https://github.com/algolia/instantsearch/issues/5547)) ([50344e3](https://github.com/algolia/instantsearch/commit/50344e3b14c22c886415c0e7d799aca778dc39ab)), closes [#5546](https://github.com/algolia/instantsearch/issues/5546)
- **svg:** don't style width/height in attributes with unit ([#5550](https://github.com/algolia/instantsearch/issues/5550)) ([31b85a6](https://github.com/algolia/instantsearch/commit/31b85a6ad56993455adb201f88ab1d1ae2d96683))

## 0.1.1 (2023-01-03)

**Note:** Version bump only for package @instantsearch/specs-website
